Subject: bug#63541: [PATCH] ; Fix use-package :vc keyword when byte-compiled

From: Tony Zorman <[email-masked]>
Date: Sun, 21 May 2023 11:32:00 +0200

On Sat, May 20 2023 16:50, Philip Kaludercic wrote:
>> I'm not super familiar with the testing infrastructure here, but I
>> wonder whether there is an easy way to write a quick regression test for
>> this?
>
> I'm not a professional software engineer,

Me neither, so don't worry about it :)

> so I don't know what this means :/

Basically, I was wondering whether it'd be possible to write a test that
byte compiles some statement and then checks the relevant expansion of
the macro. This way, whenever the (now correct) code changes in the
future (for whatever reason—most likely a refactor, I guess), one could
verify that the functionality wasn't inadvertently broken again.

-- 
Tony Zorman | https://tony-zorman.com/